Subject: Re: bug#28844: 26.0.90; display-line-numbers-mode should call window-configuration-change-hook

From: Paul Rankin <[email-masked]>
Date: Tue, 17 Oct 2017 14:19:14 +1000

On Tue, 17 Oct 2017, at 12:41 PM, Eli Zaretskii wrote:
> > Your mode updates the display on its own without notifying Emacs. The basic conceptual problem is that “every time you need the value” is predicated on when display-line-numbers-mode changes the value. There’s no way for another lisp program to know when that is.
> 
> But if you always call line-number-display-width, you don't need to
> know that, because that function will return the current value (which
> will change to reflect the changes in the space taken by line
> numbers).
> 
> So I don't think I understand the problem, and without that I cannot
> think of a solution.  Can you clarify the problem, please?

Eli, you’re fundamentally misunderstanding something:

1. Your mode updates the display.

2. Another lisp program does not know your mode has updated the display.

3. Therefore, the lisp program will not know to call line-number-display-width.

Your suggestion that other modes should “always” call line-number-display-width is what...  to run an infinite loop waiting for your mode to furtively update the display and catch it then?